package com.usky.rule.vo.log;

import com.usky.rule.vo.visualization.AlarmSimpleVO;

import java.util.List;

public class AlarmEventLog {
    private String level;
    private String method;
    private List<AlarmSimpleVO> notifiers;

    public AlarmEventLog() {
    }

    public String getLevel() {
        return this.level;
    }

    public String getMethod() {
        return this.method;
    }

    public List<AlarmSimpleVO> getNotifiers() {
        return this.notifiers;
    }

    public void setLevel(final String level) {
        this.level = level;
    }

    public void setMethod(final String method) {
        this.method = method;
    }

    public void setNotifiers(final List<AlarmSimpleVO> notifiers) {
        this.notifiers = notifiers;
    }

    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof AlarmEventLog)) {
            return false;
        } else {
            AlarmEventLog other = (AlarmEventLog) o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$level = this.getLevel();
                Object other$level = other.getLevel();
                if (this$level == null) {
                    if (other$level != null) {
                        return false;
                    }
                } else if (!this$level.equals(other$level)) {
                    return false;
                }

                Object this$method = this.getMethod();
                Object other$method = other.getMethod();
                if (this$method == null) {
                    if (other$method != null) {
                        return false;
                    }
                } else if (!this$method.equals(other$method)) {
                    return false;
                }

                Object this$notifiers = this.getNotifiers();
                Object other$notifiers = other.getNotifiers();
                if (this$notifiers == null) {
                    if (other$notifiers != null) {
                        return false;
                    }
                } else if (!this$notifiers.equals(other$notifiers)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(final Object other) {
        return other instanceof AlarmEventLog;
    }

    public int hashCode() {
        int PRIME = 59;
        int result = 1;
        Object $level = this.getLevel();
        result = result * 59 + ($level == null ? 43 : $level.hashCode());
        Object $method = this.getMethod();
        result = result * 59 + ($method == null ? 43 : $method.hashCode());
        Object $notifiers = this.getNotifiers();
        result = result * 59 + ($notifiers == null ? 43 : $notifiers.hashCode());
        return result;
    }

    public String toString() {
        return "AlarmEventLog(level=" + this.getLevel() + ", method=" + this.getMethod() + ", notifiers=" + this.getNotifiers() + ")";
    }
}
